| DocBook: The Definitive Guide 2.0.17 (Alpha)

# group

$Revision$

$Date$

group — A group of elements in a `CmdSynopsis`

## Synopsis

### Content Model

    group ::=
    ((arg|group|option|synopfragmentref|replaceable|sbr)+)

### Attributes

Common attributes

Name | Type | Default

choice

Enumeration:
opt
plain
req

"opt"

rep

Enumeration:
norepeat
repeat

"norepeat"

## Description

A `Group` surrounds several related items. Usually, they are grouped because they are mutually exclusive. The user is expected to select one of the items.

### Processing expectations

Formatted inline. The additional processing expectations of a `Group` are significant. For a complete discussion, see `CmdSynopsis`.

- Multiple arguments within a group are considered exclusive and are separated by vertical bars.

- Brackets are used to distinguish between optional, required, or plain arguments. Usually square brackets are placed around optional arguments, `[-f | -g]`, and curly brackets are placed around required arguments, `{-f | -g}`. Plain arguments are required, but are not decorated with brackets.

- Repeatable arguments are followed by an ellipsis.

### Future Changes

The `OptMult` and `ReqMult` values for the `Choice` attribute will be removed in DocBook V4.0. Use the `Rep` attribute instead to indicate that the choice is repeatable.

### Parents

These elements contain group: `arg`, `cmdsynopsis`, `group`, `synopfragment`.

### Children

The following elements occur in group: `arg`, `group`, `option`, `replaceable`, `sbr`, `synopfragmentref`.

## Attributes

choice

  `Choice` indicates whether the `Arg` is required (`Req` or `Plain`) or optional (`Opt`). Arguments identified as `Plain` are required, but are shown without additional decoration. The `OptMult` and `ReqMult` choices will be removed in DocBook V4.0; use the `Rep` attribute instead.

rep

  A `Rep` value of `Repeat` indicates that the `Group` is reapeatable. This is frequently rendered with an ellipsis.

## See Also

`arg`, `cmdsynopsis`, `refsynopsisdiv`, `sbr`, `synopfragment`, `synopfragmentref`.

## Examples

For examples, see `cmdsynopsis`, `synopfragment`.

graphicco |  | guibutton

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.